Bug 194446 - [PATCH] Fix Python build dependency for sysutils/htop
Summary: [PATCH] Fix Python build dependency for sysutils/htop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Johannes Jost Meixner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-18 17:31 UTC by Andrew Berg
Modified: 2014-11-13 05:29 UTC (History)
4 users (show)

See Also:
berg2839: maintainer-feedback? (gaod)


Attachments
htop python fix (593 bytes, patch)
2014-10-18 17:31 UTC, Andrew Berg
no flags Details | Diff
Updated patch for r372492 (530 bytes, patch)
2014-11-12 14:04 UTC, Andrew Berg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Berg 2014-10-18 17:31:14 UTC
Created attachment 148432 [details]
htop python fix

This patch fixes sysutils/htop so that it uses Python 2 to build rather than whatever the default is set to. If Python 3.x is set as default, htop will try to use it and then fail to build, complaining of a syntax error.
Comment 1 Bugzilla Automation freebsd_committer 2014-10-18 17:31:14 UTC
Maintainer CC'd
Comment 2 Hung-Yi Chen 2014-10-18 18:14:28 UTC
Could you provide more details?
Comment 3 Andrew Berg 2014-10-18 18:22:27 UTC
====>> Building sysutils/htop
build started at Sat Oct 18 12:12:06 CDT 2014
port directory: /usr/ports/sysutils/htop
building for: FreeBSD perry.robotsondrugs.com 10.1-RC1 FreeBSD 10.1-RC1 amd64
maintained by: gaod@hychen.org
Makefile ident:      $FreeBSD: head/sysutils/htop/Makefile 364090 2014-08-05 12:12:00Z adamw $
Poudriere version: 3.1-pre
Host OSVERSION: 1001000
Jail OSVERSION: 1001000

---Begin Environment---
OSVERSION=1001000
UNAME_v=FreeBSD 10.1-RC1
UNAME_r=10.1-RC1
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=screen
MASTERMNT=/usr/local/poudriere/data/.m/101x64-default/ref
FORCE_PACKAGE=yes
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=htop-1.0.2_1
OLDPWD=/usr/local/poudriere/ports/porttest
PWD=/usr/local/poudriere/data/.m/101x64-default/ref/.p/pool
MASTERNAME=101x64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for htop-1.0.2_1:
     LSOF=on: LiSt Open Files utility support
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--with-proc=/compat/linux/proc --enable-unicode --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/sysutils/htop/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/sysutils/htop/work  HOME=/wrkdirs/usr/ports/sysutils/htop/work TMPDIR="/tmp" PYTHON="/usr/local/bin/python3.4" SHELL=/bin/sh CONFIG_SHELL=/bin/sh AUTOMAKE=/usr/local/bin/automake-1.14  AUTOMAKE_DIR=/usr/local/share/automake-1.14  AUTOMAKE_VERSION=1.14  AUTOMAKE_APIVER=1.14  ACLOCAL=/usr/local/bin/aclocal-1.14  ACLOCAL_DIR=/usr/local/share/aclocal-1.14 AUTOCONF=/usr/local/bin/autoconf-2.69  AUTOCONF_DIR=/usr/local/share/autoconf-2.69  AUTOHEADER=/usr/local/bin/autoheader-2.69  AUTOIFNAMES=/usr/local/bin/ifnames-2.69  AUTOM4TE=/usr/local/bin/autom4te-2.69  AUTORECONF=/usr/local/bin/autoreconf-2.69  AUTOSCAN=/usr/local/bin/autoscan-2.69  AUTOUPDATE=/usr/local/bin/autoupdate-2.69  AUTOCONF_VERSION=2.69  CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/sysutils/htop/work  XDG_CONFIG_HOME=/wrkdirs/usr/ports/sysutils/htop/work  HOME=/wrkdirs/usr/ports/sysutils/htop/work TMPDIR="/tmp" NO_PIE=yes SHELL=/bin/sh NO_LINT=YES AUTOMAKE=/usr/local/bin/automake-1.14  AUTOMAKE_DIR=/usr/local/share/automake-1.14  AUTOMAKE_VERSION=1.14  AUTOMAKE_APIVER=1.14  ACLOCAL=/usr/local/bin/aclocal-1.14  ACLOCAL_DIR=/usr/local/share/aclocal-1.14 AUTOCONF=/usr/local/bin/autoconf-2.69  AUTOCONF_DIR=/usr/local/share/autoconf-2.69  AUTOHEADER=/usr/local/bin/autoheader-2.69  AUTOIFNAMES=/usr/local/bin/ifnames-2.69  AUTOM4TE=/usr/local/bin/autom4te-2.69  AUTORECONF=/usr/local/bin/autoreconf-2.69  AUTOSCAN=/usr/local/bin/autoscan-2.69  AUTOUPDATE=/usr/local/bin/autoupdate-2.69  AUTOCONF_VERSION=2.69  PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe -march=nocona  -fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-I/usr/local/include"  LDFLAGS=" -Wl,-rpath=/usr/lib:/usr/local/lib" LIBS="-L/usr/local/lib -lexecinfo"  CXX="c++" CXXFLAGS="-O2 -pipe -march=nocona -fno-strict-aliasing "  MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  BSD_INSTALL_DATA="install  -o root -g wheel -m 0644"  BSD_INSTALL_MAN="install  -o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PYTHON_INCLUDEDIR=include/python3.4
PYTHON_LIBDIR=lib/python3.4
PYTHON_PLATFORM=freebsd10
PYTHON_SITELIBDIR=lib/python3.4/site-packages
PYTHON_VERSION=python3.4
PYTHON_VER=3.4
OSREL=10.1
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/htop"
EXAMPLESDIR="share/examples/htop"
DATADIR="share/htop"
WWWDIR="www/htop"
ETCDIR="etc/htop"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/htop
DOCSDIR=/usr/local/share/doc/htop
EXAMPLESDIR=/usr/local/share/examples/htop
WWWDIR=/usr/local/www/htop
ETCDIR=/usr/local/etc/htop
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/101x64-make.conf ####
WITH_NEW_XORG=yes
CPUTYPE?=nocona
#CC=/usr/local/bin/clang35
#CPP=clang-cpp35
#CXX=clang++35
DEFAULT_VERSIONS=php=5.6 mysql=5.6 pgsql=9.4 python=3.4 python2=2.7 python3=3.4
---End make.conf---
=======================<phase: check-sanity   >============================
===>  Found saved configuration for htop-1.0.2
===========================================================================
=======================<phase: pkg-depends    >============================
===>   htop-1.0.2_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.3.8_3.txz
[perry.robotsondrugs.com] Installing pkg-1.3.8_3... done
Message for pkg-1.3.8_3:
 If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of htop-1.0.2_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  Found saved configuration for htop-1.0.2
===> Fetching all distfiles required by htop-1.0.2_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  Found saved configuration for htop-1.0.2
===> Fetching all distfiles required by htop-1.0.2_1 for building
=> SHA256 Checksum OK for htop-1.0.2.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  Found saved configuration for htop-1.0.2
===> Fetching all distfiles required by htop-1.0.2_1 for building
===>  Extracting for htop-1.0.2_1
=> SHA256 Checksum OK for htop-1.0.2.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for htop-1.0.2_1
===>  Applying FreeBSD patches for htop-1.0.2_1
===========================================================================
=======================<phase: build-depends  >============================
===>   htop-1.0.2_1 depends on file: /usr/local/bin/python3.4 - not found
===>    Verifying install for /usr/local/bin/python3.4 in /usr/ports/lang/python34
===>   Installing existing package /packages/All/python34-3.4.1_5.txz
[perry.robotsondrugs.com] Installing indexinfo-0.2... done
[perry.robotsondrugs.com] Installing gettext-0.18.3.1_1... done
[perry.robotsondrugs.com] Installing python34-3.4.1_5... done
===>   Returning to build of htop-1.0.2_1
===>   htop-1.0.2_1 depends on file: /usr/local/bin/automake-1.14 - not found
===>    Verifying install for /usr/local/bin/automake-1.14 in /usr/ports/devel/automake
===>   Installing existing package /packages/All/automake-1.14_1.txz
[perry.robotsondrugs.com] Installing autoconf-wrapper-20131203... done
[perry.robotsondrugs.com] Installing m4-1.4.17_1,1... done
[perry.robotsondrugs.com] Installing perl5-5.16.3_11... done
[perry.robotsondrugs.com] Installing autoconf-2.69... done
[perry.robotsondrugs.com] Installing automake-wrapper-20131203... done
[perry.robotsondrugs.com] Installing automake-1.14_1... done
===>   Returning to build of htop-1.0.2_1
===>   htop-1.0.2_1 depends on file: /usr/local/bin/autoconf-2.69 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for htop-1.0.2_1
===>   FreeBSD 10 autotools fix applied to /wrkdirs/usr/ports/sysutils/htop/work/htop-1.0.2/m4/libtool.m4
===>   FreeBSD 10 autotools fix applied to /wrkdirs/usr/ports/sysutils/htop/work/htop-1.0.2/aclocal.m4
===>   FreeBSD 10 autotools fix applied to /wrkdirs/usr/ports/sysutils/htop/work/htop-1.0.2/configure
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:1084: _LT_SYS_MODULE_PATH_AIX is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:1084: _LT_SYS_MODULE_PATH_AIX is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:1084: _LT_SYS_MODULE_PATH_AIX is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
configure: loading site script /usr/ports/Templates/config.site
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking how to run the C preprocessor... cpp
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for ANSI C header files... (cached) yes
checking for sys/types.h... (cached) yes
checking for sys/stat.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for memory.h... (cached) yes
checking for strings.h... (cached) yes
checking for inttypes.h... (cached) yes
checking for stdint.h... (cached) yes
checking for unistd.h... (cached) yes
checking for minix/config.h... (cached) no
checking whether it is safe to define __EXTENSIONS__... yes
checking build system type... amd64-portbld-freebsd10.1
checking host system type... amd64-portbld-freebsd10.1
checking target system type... amd64-portbld-freebsd10.1
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
cannot open /wrkdirs/usr/ports/sysutils/htop/work/missing: No such file or directory
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking whether make supports nested variables... yes
checking dependency style of cc... gcc3
checking for gcc... (cached) cc
checking whether we are using the GNU C compiler... (cached) yes
checking whether cc accepts -g... (cached) yes
checking for cc option to accept ISO C89... (cached) none needed
checking whether cc understands -c and -o together... (cached) yes
checking how to print strings... printf
checking for a sed that does not truncate output... (cached) /usr/bin/sed
checking for fgrep... (cached) /usr/bin/fgrep
checking for ld used by cc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached) 262144
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... no
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ar... ar
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from cc object... ok
checking for dlfcn.h... (cached) yes
checking for objdir... .libs
checking if cc supports -fno-rtti -fno-exceptions... yes
checking for cc option to produce PIC... -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... yes
checking if cc supports -c -o file.o... (cached) yes
checking whether the cc linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... freebsd10.1 ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... no
checking whether to build static libraries... yes
checking for ceil in -lm... yes
checking for kvm_open in -lkvm... yes
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for ANSI C header files... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for sys/param.h... (cached) yes
checking for sys/time.h... (cached) yes
checking for unistd.h... (cached) yes
checking curses.h usability... yes
checking curses.h presence... yes
checking for curses.h... yes
checking kvm.h usability... yes
checking kvm.h presence... yes
checking for kvm.h... yes
checking for paths.h... (cached) yes
checking for fcntl.h... (cached) yes
checking sys/sysctl.h usability... yes
checking sys/sysctl.h presence... yes
checking for sys/sysctl.h... yes
checking execinfo.h usability... yes
checking execinfo.h presence... yes
checking for execinfo.h... yes
checking for stdbool.h that conforms to C99... (cached) yes
checking for _Bool... (cached) yes
checking for an ANSI C-conforming const... yes
checking for pid_t... (cached) yes
checking for uid_t in sys/types.h... (cached) yes
checking whether closedir returns void... no
checking return type of signal handlers... void
checking whether lstat correctly handles trailing slash... (cached) yes
checking whether stat accepts an empty string... no
checking for memmove... (cached) yes
checking for strncasecmp... (cached) yes
checking for strstr... yes
checking for strdup... (cached) yes
checking whether gcc -std=c99 option works... yes
checking for refresh in -lncursesw... yes
checking ncursesw/curses.h usability... no
checking ncursesw/curses.h presence... no
checking for ncursesw/curses.h... no
checking ncurses/ncurses.h usability... no
checking ncurses/ncurses.h presence... no
checking for ncurses/ncurses.h... no
checking ncurses.h usability... yes
checking ncurses.h presence... yes
checking for ncurses.h... yes
checking for /compat/linux/proc/stat... yes
checking for /compat/linux/proc/meminfo... yes
checking for usable sched_setaffinity... no
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating htop.1
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
===========================================================================
=======================<phase: build          >============================
===>  Building for htop-1.0.2_1
--- htop.h ---
--- ProcessList.h ---
--- ./config.h.in ---
--- htop.h ---
scripts/MakeHeader.py htop.c
--- ProcessList.h ---
scripts/MakeHeader.py ProcessList.c
--- ./config.h.in ---
(CDPATH="${ZSH_VERSION+.}:" && cd . && /usr/local/bin/autoheader-2.69)
--- ProcessList.h ---
Generating ProcessList.h
Traceback (most recent call last):
  File "scripts/MakeHeader.py", line 34, in <module>
    for line in file.readlines():
  File "/usr/local/lib/python3.4/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xe2 in position 4281: ordinal not in range(128)
*** [ProcessList.h] Error code 1

make[1]: stopped in /wrkdirs/usr/ports/sysutils/htop/work/htop-1.0.2
--- htop.h ---
Generating htop.h
--- ./config.h.in ---
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:1084: _LT_SYS_MODULE_PATH_AIX is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
configure.ac:22: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body
../../lib/autoconf/lang.m4:193: AC_LANG_CONFTEST is expanded from...
../../lib/autoconf/general.m4:2661: _AC_LINK_IFELSE is expanded from...
../../lib/autoconf/general.m4:2678: AC_LINK_IFELSE is expanded from...
m4/libtool.m4:4207: _LT_LINKER_SHLIBS is expanded from...
m4/libtool.m4:5339: _LT_LANG_C_CONFIG is expanded from...
m4/libtool.m4:143: _LT_SETUP is expanded from...
m4/libtool.m4:69: LT_INIT is expanded from...
m4/libtool.m4:107: AC_PROG_LIBTOOL is expanded from...
configure.ac:22: the top level
rm -f stamp-h1
touch ./config.h.in
1 error

make[1]: stopped in /wrkdirs/usr/ports/sysutils/htop/work/htop-1.0.2
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make: stopped in /usr/ports/sysutils/htop
====>> Cleaning up wrkdir
===>  Cleaning for htop-1.0.2_1
build of sysutils/htop ended at Sat Oct 18 12:12:28 CDT 2014
build time: 00:00:22
!!! build failure encountered !!!


--
Looking at the log again, this one has a UnicodeDecodeError rather than a SyntaxError raised, but in any case, it builds just fine with Python 2.
Comment 4 John Marino freebsd_committer 2014-11-10 14:22:12 UTC
Fixed with bug 194450

Hung-Yi Chen, it would help people managing PR's to post back when a PR is superceded.  Better yet, post a comment and say "look at new PR, close this one".
Comment 5 Andrew Berg 2014-11-12 13:42:24 UTC
John, this issue is not resolved by the upstream update or by any changes in that commit.

Reopening and CC'ing -python@ since a committer on the Python team will be better able to review this (and because the maintainer has taken no action on this issue).
Comment 6 John Marino freebsd_committer 2014-11-12 13:49:04 UTC
I thought the maintainer committed this, but it was MVA:

https://svnweb.freebsd.org/ports/head/sysutils/htop/Makefile?r1=371454&r2=371453&pathrev=371454

Basically it's your patch but without specifying python=2.


In any case, this is now timed out.

Submit a new patch that will apply to the port as it is today, I'll move it to patch ready.
Comment 7 Andrew Berg 2014-11-12 14:04:03 UTC
Created attachment 149323 [details]
Updated patch for r372492
Comment 8 John Marino freebsd_committer 2014-11-12 14:16:44 UTC
thanks, I'll promote the PR.
Nobody can object if it truly doesn't work with Python 3 either.
Comment 9 Johannes Jost Meixner freebsd_committer 2014-11-12 18:23:52 UTC
I'll take it.
Comment 10 Johannes Jost Meixner freebsd_committer 2014-11-13 05:29:26 UTC
Committed, thanks!
Comment 11 commit-hook freebsd_committer 2014-11-13 05:29:36 UTC
A commit references this bug:

Author: xmj
Date: Thu Nov 13 05:28:43 UTC 2014
New revision: 372509
URL: https://svnweb.freebsd.org/changeset/ports/372509

Log:
  sysutils/htop: Restrict to Python 2.x

  - restrict htop to build with python 2.7 only.

  PR: 194446
  Differential Revision:	https://reviews.freebsd.org/D1151
  Submitted by: Andrew Berg <aberg010@my.hennepintech.edu>
  Approved by: maintainer timeout (2+ weeks)
  Approved by: koobs (mentor)

Changes:
  head/sysutils/htop/Makefile